@use '../core/placeholders/escape_container';

._filters {
  display: flex;
  align-items: center;
  border-top: 1px solid var(--border-color);
  border-bottom: 1px solid var(--border-color);
  margin: 0 0 var(--spacer-default) 0;

  &__spring {
    flex-grow: 1;
  }

  &__section {
    display: flex;
    height: 3em;
    align-items: center;
    padding: 0 var(--spacer-default);
    gap: var(--spacer-default);

    &:not(:last-child) {
      border-right: 1px solid var(--border-color);
    }

    &__title {
      font-weight: bold;
    }

    a {
      display: flex;
      align-items: center;
      color: var(--base-text);
      gap: var(--spacer-small);
      text-decoration: none;
    }
  }

  table + &,
  & + & {
    border-top: none;
  }

  &:not(:last-child) {
    margin-bottom: 0;
  }

  &--no-top {
    border-top: none;
  }

  // Escape from containers
  ._container > & {
    @extend %escape_container;
  }
}
